import request from '@/utils/request.js'

// 查询CCAP控制计划列表
export function getCCAPPlanList(query) {
  return request({
    url: '/control/ccapPlan/list',
    method: 'get',
    params: query
  })
}
// 查询所有事业部名称
export function getAllBusinessUnitName() {
  return request({
    url: '/control/unit/list',
    method: 'get',
  })
}
// 查询所有车型代码
export function getAllvehicleModelCode() {
  return request({
    url: '/control/notificationManagement/getAllModelCode',
    method: 'get',
  })
}
// 删除控制计划
export function deletePlan(planId) {
  return request({
    url: '/control/ccapPlan/'+planId,
    method: 'DELETE'
  })
}
// 撤销删除计划
export function undoPlan(data) {
  return request({
    url: '/control/ccapPlan/revoke/',
    method: 'put',
    data: data
  })
}
// 查询CCAP控制计划历史列表
export function getCCAPPlanHistoryList(query) {
  return request({
    url: '/control/ccapPlan/hisList',
    method: 'get',
    params: query
  })
}
// 生成文件
export function genFile(planId) {
  return request({
    url: '/control/ccapPlan/genFile/'+ planId,
    method: 'post',
  })
}
// 获取所有人员列表
export function getALLUserList() {
  return request({
    url: '/system/dept/userDeptList',
    method: 'get'
  })
}
// 获取编制负责人信息
export function getChargeUserName(planId) {
  return request({
    url: '/control//compilationTask/getCompilationTTaskListByPlanId/'+ planId,
    method: 'get',
  })
}
// 提交调整编制负责人修改
export function submitChangeChargeUser(data) {
  return request({
    url: '/control/compilationTask/chargeUser',
    method: 'put',
    data: data
  })
}

