import request from '@/utils/request'

// 查询CQC控制计划列表
export function listPlan(query) {
  return request({
    url: '/control/cqcPlan/list',
    method: 'get',
    params: query
  })
}

// 查询CQC历史控制计划列表
export function historyListPlan(query) {
  return request({
    url: '/control/cqcPlan/hisList',
    method: 'get',
    params: query
  })
}

// 查询所有事业部名称---改查询区的事业部和车型代码需要根据当前登录用户的事业部权限显示对应的数据
export function getAllBusinessUnitName() {
  return request({
    url: '/control/unit/list',
    method: 'get',
  })
}

// 查询所有车型代码---改查询区的事业部和车型代码需要根据当前登录用户的事业部权限显示对应的数据
export function getAllvehicleModelCode() {
  return request({
    url: '/control/notificationManagement/getAllModelCode',
    method: 'get',
  })
}

// 撤销控制计划
export function undoPlan(data) {
  return request({
    url: '/control/cqcPlan/revoke/',
    method: 'put',
    data: data
  })
}

// 获取所有人员列表
export function getALLUserList() {
  return request({
    url: '/system/dept/userDeptList',
    method: 'get'
  })
}

// 查询CQC控制计划详细
export function getPlan(id) {
  return request({
    url: '/system/plan/' + id,
    method: 'get'
  })
}

// 新增CQC控制计划
export function addPlan(data) {
  return request({
    url: '/system/plan',
    method: 'post',
    data: data
  })
}

// 修改CQC控制计划
export function updatePlan(data) {
  return request({
    url: '/system/plan',
    method: 'put',
    data: data
  })
}

// 删除CQC控制计划
export function delPlan(id) {
  return request({
    url: '/control/cqcPlan/delete/' + id,
    method: 'delete'
  })
}
