import request from '@/utils/request'

// 查询CQC编制关键零部件信息列表
export function listParts(query) {
  return request({
    url: '/control/parts/list',
    method: 'get',
    params: query
  })
}

// 查询CQC编制关键零部件信息详细
export function getParts(id) {
  return request({
    url: '/control/parts/' + id,
    method: 'get'
  })
}

// 新增CQC编制关键零部件信息
export function addParts(data) {
  return request({
    url: '/control/parts',
    method: 'post',
    data: data
  })
}

// 修改CQC编制关键零部件信息
export function updateParts(data) {
  return request({
    url: '/control/parts',
    method: 'put',
    data: data
  })
}

// 删除CQC编制关键零部件信息
export function delParts(id) {
  return request({
    url: '/control/parts/' + id,
    method: 'delete'
  })
}
